<?php


namespace App\ViewModels\TipoProcedimento\TipoProcedimentoRegistrationViewModel;

use App\Utils\Builder;

class TipoProcedimentoRegistrationViewModelBuilder implements Builder
{

    protected $descricao;

    public function setDescricao(string $descricao) : TipoProcedimentoRegistrationViewModelBuilder
    {
        $this->descricao = $descricao;
        return $this;
    }

    public function build() : TipoProcedimentoRegistrationViewModel
    {
        $tipo_procedimento_registration_vm = New TipoProcedimentoRegistrationViewModel();
        $tipo_procedimento_registration_vm->setDescricao($this->descricao);
        return $tipo_procedimento_registration_vm;
    }


}